org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ShortestPathTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ShortestPathTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ShortestPathTest.Traversals

- Enclosing class:
    ShortestPathTest

      public static class ShortestPathTest.Traversals
      extends ShortestPathTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ShortestPathTest

      `ShortestPathTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Path>` | `get_g_V_both_dedup_shortestPath()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_shortestPath_maxDistanceX1X()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_shortestPath()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX()`
    `Traversal<Vertex,Path>` | `get_g_V_shortestPath_directionXINX()`
    `Traversal<Vertex,Path>` | `get_g_V_shortestPath_edgesIncluded_edgesXoutEX()`
    `Traversal<Vertex,Path>` | `get_g_V_shortestPath_edgesIncluded()`
    `Traversal<Vertex,Path>` | `get_g_V_shortestPath_edgesXoutEX()`
    `Traversal<Vertex,Path>` | `get_g_V_shortestPath_targetXhasXname_markoXX()`
    `Traversal<Vertex,Path>` | `get_g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX()`
    `Traversal<Vertex,Path>` | `get_g_V_shortestPath()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ShortestPathTest

      `g_V_both_dedup_shortestPath, g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX, g_V_hasXname_markoX_shortestPath_maxDistanceX1X, g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX, g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX, g_V_hasXname_markoX_shortestPath, g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X, g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX, g_V_shortestPath_directionXINX, g_V_shortestPath_edgesIncluded_edgesXoutEX, g_V_shortestPath_edgesIncluded, g_V_shortestPath_edgesXoutEX, g_V_shortestPath_targetXhasXname_markoXX, g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX, g_V_shortestPath, initializeHelper`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_shortestPath

          public Traversal<Vertex,Path> get_g_V_shortestPath()

      Specified by:
        `get_g_V_shortestPath` in class `ShortestPathTest`

    - #### get_g_V_both_dedup_shortestPath

          public Traversal<Vertex,Path> get_g_V_both_dedup_shortestPath()

      Specified by:
        `get_g_V_both_dedup_shortestPath` in class `ShortestPathTest`

    - #### get_g_V_shortestPath_edgesIncluded

          public Traversal<Vertex,Path> get_g_V_shortestPath_edgesIncluded()

      Specified by:
        `get_g_V_shortestPath_edgesIncluded` in class `ShortestPathTest`

    - #### get_g_V_shortestPath_directionXINX

          public Traversal<Vertex,Path> get_g_V_shortestPath_directionXINX()

      Specified by:
        `get_g_V_shortestPath_directionXINX` in class `ShortestPathTest`

    - #### get_g_V_shortestPath_edgesXoutEX

          public Traversal<Vertex,Path> get_g_V_shortestPath_edgesXoutEX()

      Specified by:
        `get_g_V_shortestPath_edgesXoutEX` in class `ShortestPathTest`

    - #### get_g_V_shortestPath_edgesIncluded_edgesXoutEX

          public Traversal<Vertex,Path> get_g_V_shortestPath_edgesIncluded_edgesXoutEX()

      Specified by:
        `get_g_V_shortestPath_edgesIncluded_edgesXoutEX` in class `ShortestPathTest`

    - #### get_g_V_hasXname_markoX_shortestPath

          public Traversal<Vertex,Path> get_g_V_hasXname_markoX_shortestPath()

      Specified by:
        `get_g_V_hasXname_markoX_shortestPath` in class `ShortestPathTest`

    - #### get_g_V_shortestPath_targetXhasXname_markoXX

          public Traversal<Vertex,Path> get_g_V_shortestPath_targetXhasXname_markoXX()

      Specified by:
        `get_g_V_shortestPath_targetXhasXname_markoXX` in class `ShortestPathTest`

    - #### get_g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX

          public Traversal<Vertex,Path> get_g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX()

      Specified by:
        `get_g_V_shortestPath_targetXvaluesXnameX_isXmarkoXX` in class `ShortestPathTest`

    - #### get_g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX

          public Traversal<Vertex,Path> get_g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX()

      Specified by:
        `get_g_V_hasXname_markoX_shortestPath_targetXhasLabelXsoftwareXX` in class `ShortestPathTest`

    - #### get_g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX

          public Traversal<Vertex,Path> get_g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX()

      Specified by:
        `get_g_V_hasXname_markoX_shortestPath_targetXhasXname_joshXX_distanceXweightX` in class `ShortestPathTest`

    - #### get_g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX

          public Traversal<Vertex,Path> get_g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX()

      Specified by:
        `get_g_V_hasXname_danielX_shortestPath_targetXhasXname_stephenXX_edgesXbothEXusesXX` in class `ShortestPathTest`

    - #### get_g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX

          public Traversal<Vertex,Path> get_g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX()

      Specified by:
        `get_g_V_hasXsong_name_MIGHT_AS_WELLX_shortestPath_targetXhasXsong_name_MAYBE_YOU_KNOW_HOW_I_FEELXX_edgesXoutEXfollowedByXX_distanceXweightX` in class `ShortestPathTest`

    - #### get_g_V_hasXname_markoX_shortestPath_maxDistanceX1X

          public Traversal<Vertex,Path> get_g_V_hasXname_markoX_shortestPath_maxDistanceX1X()

      Specified by:
        `get_g_V_hasXname_markoX_shortestPath_maxDistanceX1X` in class `ShortestPathTest`

    - #### get_g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X

          public Traversal<Vertex,Path> get_g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X()

      Specified by:
        `get_g_V_hasXname_vadasX_shortestPath_distanceXweightX_maxDistanceX1_3X` in class `ShortestPathTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.